Package csb :: Package bio :: Package io :: Module wwpdb :: Class ResidueInfo

[frames] | no frames]

# Class ResidueInfo

source code

    object --+
             |
            ResidueInfo

High-performance struct, which functions as a container for unmapped Atoms.

Note: This object must implement the csb.bio.sequence.ResidueInfo interface. This is not enforced through inheritance solely to save some CPU (by exposing public fields and no properties). However, on an abstract level this object is_a ResidueInfo and is used to build AbstractSequences.

Instance Methods

__init__(self, chain, rank, id, seq_number, ins_code, type, label) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| atoms
| chain
| id
| insertion_code
| is_modified
| label
| rank
| sequence_number
| type
Inherited from `object`: `__class__`

Method Details

### __init__(self, chain, rank, id, seq_number, ins_code, type, label)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### is_modified

Get Method:
  unreachable.is_modified(self)